org.deidentifier.arx.gui.model

## Class ModelAuditTrailEntry

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelAuditTrailEntry

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ModelAuditTrailEntry.AuditTrailEntryFindReplace

    public abstract class ModelAuditTrailEntry
    extends java.lang.Object
    implements java.io.Serializable

This class implements an entry for the audit trail. Actions that are logged should extend this abstract base class.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ModelAuditTrailEntry.AuditTrailEntryFindReplace` Find and replace entry

### Constructor Summary

Constructors
Constructor and Description
`ModelAuditTrailEntry()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ModelAuditTrailEntry` `createfindReplaceEntry(java.lang.String attribute, java.lang.String searchString, java.lang.String replacementString)` Returns an entry for the according action

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelAuditTrailEntry

    public ModelAuditTrailEntry()

### Method Detail

#### createfindReplaceEntry

    public static ModelAuditTrailEntry createfindReplaceEntry(java.lang.String attribute,
                                                              java.lang.String searchString,
                                                              java.lang.String replacementString)

Returns an entry for the according action

Parameters:
  `attribute` -
  `searchString` -
  `replacementString` -
Returns: